/* File   : platten.ad */
/* Purpose: Defines the resources used by the application: platten */
/* Autor  : Andreas Theofilu */

/* Copyright (C) 1998, 1999, 2000 by Theos Soft. */

/*--------------------------------------------------------------------------- */

/* Do never change the following Resource value. The Program will not */
/* work without it or a wrong value set! */

"platten.Version: 0.9",


/* The following resource values should reflect your milleage */

"platten.datePattern: mm/dd/yyyy",
"platten.Database: INFORMIX",
"platten.CDDBPath: /usr/X11/lib/X11/xmcd/cddb",
"platten.cdrom: /dev/cdrom",
"platten.cdmount: /cdrom",
"platten.helpCmd: xmhelp",
"platten.iCurrDigits: 2",
"platten.iCurrency: 0",
"platten.iNegCurr: 2",
"platten.sCurrency: $",
"platten.sDecimal: .",
"platten.sThousand: ,",


/* Definations for main window */

"platten.xmtChildren: XmtLayout layout;",
"platten.configPath: %R/%a/%T/%N:%R/%a/%N%S",
"platten.configDir: /usr",


/* Following resources defines the main window with the menu. */

"platten.Title: Record Management",
"*layout.xmtChildren: XmtMenu menubar; XmDrawingArea workarea;",
"*layout.layout: menubar 4.5in % 3in workarea",
"*layout.marginWidth: 0",
"*layout.marginHeight: 0",
"*platten*background: gray",
"*platten*FontList: *-helvetica-medium-r-*-*-*-140-*-*-*-*-iso8859-1, \
		   *-helvetica-bold-r-*-*-*-140-*-*-*-*-iso8859-1=B, \
                   *-helvetica-medium-r-*-*-*-140-*-*-*-*-iso8859-1=R, \
                   *-helvetica-medium-o-*-*-*-140-*-*-*-*-iso8859-1=I, \
		   *-helvetica-bold-o-*-*-*-140-*-*-*-*-iso8859-1=BI, \
                   *-helvetica-bold-r-*-*-*-180-*-*-*-*-iso8859-1=TITLE",

"*menubar.layoutMarginWidth: 0",
"*menubar.layoutMarginHeight: 0",

"*menubar.items: \
Tearoff         \"_Add\" 		-> newrec ;\
Tearoff         \"_Search\"	-> search ;\
Tearoff         \"_Print\"	-> print ;\
Tearoff		\"_Options\"	-> settings ;\
Tearoff Help    \"_Help\"		-> help ;",

"*menubar*newrec.items: \
	\"_Add single...\"		[Meta+S]	NewSingle (); \
	\"Add _record\" -> newlp ;\
	\"_Add wish...\"			[Meta+W]	NewWish (); \
	------------------------ ; \
	\"_Quit\"				[Ctrl+C]	Quit ();",

"*menubar*newlp.items: \
	\"New record _label...\"		[Meta+N]	NewLP (); \
	\"New record _cut...\"		[Meta+C]	NewLPCut ();",

"*menubar*search.items: \
	\"Search _single...\"		[Meta+I]	SearchSingle (); \
	\"Search _record ...\"		[Meta+P]	SearchLps ();\
	\"Wish list...\"			[Meta+U]	ListWish ();",

"*menubar*print.items: \
	\"Print _singles...\"		[Meta+D]	PrintSingles (); \
	\"Print _records...\"		[Meta+R]	PrintLps (); \
	\"Print _wish list...\"		[Meta+C]	PrintWish ();",

"*menubar*settings.items:\
	\"_Settings...\"			[Meta+E]	Options ();",

"*menubar*help.items: \
	\"_Help\"				[Meta+H]	Hilfe (); \
	------ ; \
	\"_About\"			[Meta+I]	About ();",


/* Following resources defines the dialog window for adding a new */
/* single to the database. */

"*addSingle.xmtChildren: unmanaged XmtLayout layAddSingle;",
"*addSingle*layAddSingle.autoUnmanage: False",
"*addSingle*layAddSingle.dialogStyle: dialog_primary_application_modal",
"*addSingle*layAddSingle.DialogTitle: Adding singles",

"*addSingle*layAddSingle.xmtChildren: \
		XmtLayoutString stSongA, stSongB, stSinger, stDate; \
		XmtLayoutString stZeit, stZeitb; \
		XmtInputField songA = songA, songB = songB; \
		XmtInputField singer = singer, date = date; \
		XmtInputField zeit = zeit, zeitb = zeitb; \
		XmtInputField right = right, price = price; \
		XmtChooser mark = mark; \
	 	XmPushButton adds, new; \
		XmPushButton okay, cancel, help;",

"*addSingle*layAddSingle.layout: \
	Row {\
		Col {\
			FlushRight stSongA \"Song title (Site A):\"\
			FlushRight stZeit \"Duration (Site A):\" \
			FlushRight stSongB \"Song title (Site B):\"\
			FlushRight stZeit \"Duartion (Site B):\" \
			FlushRight stSinger \"Singer/Group:\"\
			FlushRight stDate \"Date of press:\" \
			stRight \"Copyright (C):\" \
			stPrice \"Price:\" \
			stMark \" \" \
		}\
		Col {\
			5 in FlushLeft songA \
			1.2 in FlushLeft zeit \
			5 in FlushLeft songB \
			1.2 in FlushLeft zeitb \
			5 in FlushLeft singer \
			1.8 in FlushLeft date \
			5 in FlushLeft right \
			2 in FlushLeft price \
			FlushLeft mark \
		}\
		Etched Equal Even Col { \
			adds new \
		}\
	}\
	<> \
	Fixed Etched Top Equal Even Row { \
		okay cancel help \
	}",

"*addSingle*songA.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*songA.pattern: Bccccccccccccccccccccccccccccccccccccccc",
"*addSingle*songA.matchAll: False",
"*addSingle*songA.focusCallback: XmtSetTypedValue (*addSingle*songA, cursorPositionVisible, Boolean, True);",
"*addSingle*songA.losingFocusCallback: XmtSetTypedValue (*addSingle*songA, cursorPositionVisible, Boolean, False);",
"*addSingle*songB.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*songB.pattern: Bccccccccccccccccccccccccccccccccccccccc",
"*addSingle*songB.matchAll: False",
"*addSingle*songB.cursorPositionVisible: False",
"*addSingle*songB.focusCallback: XmtSetTypedValue (*addSingle*songB, cursorPositionVisible, Boolean, True);",
"*addSingle*songB.losingFocusCallback: XmtSetTypedValue (*addSingle*songB, cursorPositionVisible, Boolean, False);",
"*addSingle*singer.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*singer.pattern: Bccccccccccccccccccccccccccccccccccccccc",
"*addSingle*singer.matchAll: False",
"*addSingle*singer.cursorPositionVisible: False",
"*addSingle*singer.focusCallback: XmtSetTypedValue (*addSingle*singer, cursorPositionVisible, Boolean, True);",
"*addSingle*singer.losingFocusCallback: XmtSetTypedValue (*addSingle*singer, cursorPositionVisible, Boolean, False);",
"*addSingle*date.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*date.pattern: dd/dd/dddd",
"*addSingle*date.matchAll: True",
"*addSingle*date.cursorPositionVisible: False",
"*addSingle*date.verifyCallback: CheckDateCallback ();",
"*addSingle*date.focusCallback: XmtSetTypedValue (*addSingle*date, cursorPositionVisible, Boolean, True);",
"*addSingle*date.losingFocusCallback: XmtSetTypedValue (*addSingle*date, cursorPositionVisible, Boolean, False);",
"*addSingle*zeit.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*zeit.pattern: dd:dd",
"*addSingle*zeit.matchAll: False",
"*addSingle*zeit.cursorPositionVisible: False",
"*addSingle*zeit.focusCallback: XmtSetTypedValue (*addSingle*zeit, cursorPositionVisible, Boolean, True);",
"*addSingle*zeit.losingFocusCallback: XmtSetTypedValue (*addSingle*zeit, cursorPositionVisible, Boolean, False);",
"*addSingle*zeitb.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*zeitb.pattern: dd:dd",
"*addSingle*zeitb.matchAll: False",
"*addSingle*zeitb.cursorPositionVisible: False",
"*addSingle*zeitb.focusCallback: XmtSetTypedValue (*addSingle*zeitb, cursorPositionVisible, Boolean, True);",
"*addSingle*zeitb.losingFocusCallback: XmtSetTypedValue (*addSingle*zeitb, cursorPositionVisible, Boolean, False);",
"*addSingle*right.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*right.pattern: Bccccccccccccccccccccccccccccccccccccccc",
"*addSingle*right.matchAll: False",
"*addSingle*right.cursorPositionVisible: False",
"*addSingle*right.focusCallback: XmtSetTypedValue (*addSingle*right, cursorPositionVisible, Boolean, True);",
"*addSingle*zeitb.losingFocusCallback: XmtSetTypedValue (*addSingle*right, cursorPositionVisible, Boolean, False);",
"*addSingle*price.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*price.maxLength: 14",
"*addSingle*price.matchAll: False",
"*addSingle*price.cursorPositionVisible: False",
"*addSingle*price.verifyCallback: CheckNumericCallback();",
"*addSingle*price.focusCallback: XmtSetTypedValue (*addSingle*price, cursorPositionVisible, Boolean, True); \
                StripNumericCallback();",
"*addSingle*price.losingFocusCallback: XmtSetTypedValue (*addSingle*price, cursorPositionVisible, Boolean, False);",

"*addSingle*mark.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*mark.chooserType: CheckBox",
"*addSingle*mark.strings: \"Mark\"",

"*addSingle*adds.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*adds.labelString: Add",
"*addSingle*adds.activateCallback: AddNewSingleCallback ();",
"*addSingle*new.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*new.labelString: New",
"*addSingle*new.activateCallback: ClearValuesCallback ();",

"*addSingle*okay.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*okay.labelString: Ok",
"*addSingle*okay.activateCallback: XmtDialogOkayCallback ();",
"*addSingle*okay.ShowAsDefault: 1",
"*addSingle*okay.DefaultButtonShadowThickness: 1",
"*addSingle*cancel.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*cancel.labelString: Cancel",
"*addSingle*cancel.activateCallback: XmtDialogCancelCallback ();",
"*addSingle*help.navigationType: XmSTICKY_TAB_GROUP",
"*addSingle*help.labelString: Help",

"*addSingle*layAddSingle.xmtChildrenCreationCallback: \
	XmtSetValue (layAddSingle, defaultButton, layAddSingle.okay); \
	XmtSetInitialFocus (layAddSingle, *layAddSingle.songA); \
	addSingleDisableButtonsCallback (*layAddSingle.adds, *layAddSingle.new);",




/* Following resources defines the dialog window for queriing */
/* singles in the database. */

"*quSingle.xmtChildren: unmanaged XmtLayout layQuSingle;",
"*quSingle*layQuSingle.autoUnmanage: False",
"*quSingle*layQuSingle.dialogStyle: dialog_primary_application_modal",
"*quSingle*layQuSingle.DialogTitle: Search singles",

"*quSingle*layQuSingle.xmtChildren: \
		XmtChooser siPart, siSearchType; \
		XmtInputField siSearch = siSearch; \
		XbaeMatrix siTable; \
		XmPushButton new, suchen, change; \
		XmPushButton okay, help;",

"*quSingle*layQuSingle.layout: \
	Row {\
		LREvenSpaced Col {\
			Caption tll \"List of choosen singles:\" siTable \
		} | \
		FlushTop LREvenSpaced Col {\
			new change suchen \
			Etched Out Top Through 8 4 \"\" \
			siPart \
			Caption tll \"Find this: \" siSearch \
			siSearchType \
		}\
	}\
	<> \
	Fixed Etched Top Equal Even Row { \
		okay help \
	}",

"*quSingle*siTable.allowColumnResize: True",
"*quSingle*siTable.boldLabels: True",
"*quSingle*siTable.buttonLabels: True",
"*quSingle*siTable.columnLabels: M,Nr.,Title Side A,Time,Title Side B,Time,Singer/Group,Date,Copyright,Value",
"*quSingle*siTable.columnMaxLength: 1, 4, 40, 5, 40, 5, 40, 10, 60, 14",
"*quSingle*siTable.columnWidths: 1, 4, 40, 5, 40, 5, 40, 10, 40, 14",
"*quSingle*siTable.columns: 10",
"*quSingle*siTable.horizontalScrollBarDisplayPolicy: XmDISPLAY_AS_NEEDED",
"*quSingle*siTable.verticalScrollBarDisplayPolicy: XmDISPLAY_AS_NEEDED",
"*quSingle*siTable.visibleColumns: 5",
"*quSingle*siTable.visibleRows: 18",
"*quSingle*siTable.evenRowBackground: white",
"*quSingle*siTable.oddRowBackground: lightgray",
"*quSingle*siTable.defaultActionCallback: UpdateSingleCallback ();",
"*quSingle*siTable.enterCellCallback: siEnterCellCallback ();",

"*quSingle*siPart.chooserType: ChooserOption",
"*quSingle*siPart.strings: \"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\",\"I\",\"J\",\"K\",\"L\",\"M\",\"N\",\"O\",\"P\",\"Q\",\"R\",\"S\",\"T\",\"U\",\"V\",\"W\",\"X\",\"Y\",\"Z\",\"0-9\"",
"*quSingle*siPart.valueStrings: \"A*\",\"B*\",\"C*\",\"D*\",\"E*\",\"F*\",\"G*\",\"H*\",\"I*\",\"J*\",\"K*\",\"L*\",\"M*\",\"N*\",\"O*\",\"P*\",\"Q*\",\"R*\",\"S*\",\"T*\",\"U*\",\"V*\",\"W*\",\"X*\",\"Y*\",\"Z*\",\"[0-9]*\"",
"*quSingle*siPart.valueType: String",
"*quSingle*siPart.valueSize: 4",
"*quSingle*siPart.valueChangedCallback: siPartChooserCallback ();",

"*quSingle*siSearchType.chooserType: ChooserOption",
"*quSingle*siSearchType.strings: \"Title A/B\",\"Number\",\"Singer/Group\",\"Mark\"",
"*quSingle*siSearchType.valueChangedCallback: SingleSearchTypeCallback();",

"*quSingle*siSearch.navigationType: XmSTICKY_TAB_GROUP",
"*quSingle*siSearch.maxLength: 40",
"*quSingle*siSearch.cursorPositionVisible: False",
"*quSingle*siSearch.inputCallback: QuerySingleCallback();",
"*quSingle*siSearch.focusCallback: XmtSetTypedValue (*quSingle*siSearch, cursorPositionVisible, Boolean, True);",
"*quSingle*siSearch.losingFocusCallback: XmtSetTypedValue (*quSingle*siSearch, cursorPositionVisible, Boolean, False);",

"*quSingle*suchen.navigationType: XmSTICKY_TAB_GROUP",
"*quSingle*suchen.labelString: Search",
"*quSingle*suchen.activateCallback: QuerySingleCallback ();",

"*quSingle*new.navigationType: XmSTICKY_TAB_GROUP",
"*quSingle*new.labelString: New",
"*quSingle*new.activateCallback: NewSingle ();",

"*quSingle*change.navigationType: XmSTICKY_TAB_GROUP",
"*quSingle*change.labelString: Change",
"*quSingle*change.activateCallback: UpdateSingleCallback ();",

"*quSingle*okay.navigationType: XmSTICKY_TAB_GROUP",
"*quSingle*okay.labelString: Exit",
"*quSingle*okay.activateCallback: OkaySingleCallback ();",
"*quSingle*okay.ShowAsDefault: 1",
"*quSingle*okay.DefaultButtonShadowThickness: 1",
"*quSingle*help.navigationType: XmSTICKY_TAB_GROUP",
"*quSingle*help.labelString: Help",

"*quSingle*layQuSingle.xmtChildrenCreationCallback: \
	XmtSetValue (layQuSingle, defaultButton, layQuSingle.okay); \
	FirstSingleFillCallback (layQuSingle, *quSingle*siTable);",



/* Following resources defines the options dialog. */

"*option.xmtChildren: unmanaged XmtLayout layOption;",
"*option*layOption.autoUnmanage: False",
"*option*layOption.dialogStyle: dialog_primary_application_modal",
"*option*layOption.DialogTitle: Options",

"*option*layOption.xmtChildren: \
		XmtChooser chPrinter = chPrinter; \
		XmtInputField ipPrinter = ipPrinter; \
		XmtInputField ipFile = ipFile; \
		XmtInputField ipTrenn = ipTrenn, ipDatef = ipDatef; \
		XmPushButton okay, cancel, help;",

"*option*layOption.layout: \
	Row { \
		Etched Through 8 4 Caption tll \"Print to:\" Col { \
			chPrinter \
			5 in tll caption \"Printer\" ipPrinter \
			5 in tll caption \"File / data file\" ipFile \
		} \
		FlushTop Etched Through 8 4 Caption tll \"File attributes\" Col { \
			0.3 in tll caption \"Separator\" ipTrenn \
			2 in   tll caption \"Date format\" ipDatef \
		} \
	} \
	<> \
	Fixed Etched Top Equal Even Row { \
		okay cancel help \
	}",

"*option*chPrinter.navigationType: XmSTICKY_TAB_GROUP",
"*option*chPrinter.chooserType: XmtChooserRadioBox",
"*option*chPrinter.strings: \"Printer\", \"File\", \"data file\" ",
"*option*chPrinter.valueChangedCallback: OptionChooserChangedCallback ();",

"*option*ipPrinter.pattern: cccccccccccccccccccccccccccccccccccccccccccccccccc",
"*option*ipPrinter.matchAll: False",
"*option*ipPrinter.focusCallback: XmtSetTypedValue (*option*ipPrinter, cursorPositionVisible, Boolean, True);",
"*option*ipPrinter.loosingfocusCallback: XmtSetTypedValue (*option*ipPrinter, cursorPositionVisible, Boolean, False);",

"*option*ipFile.navigationType: XmSTICKY_TAB_GROUP",
"*option*ipFile.pattern: cccccccccccccccccccccccccccccccccccccccccccccccccc",
"*option*ipFile.matchAll: False",
"*option*ipFile.focusCallback: XmtSetTypedValue (*option*ipFile, cursorPositionVisible, Boolean, True);",
"*option*ipFile.loosingfocusCallback: XmtSetTypedValue (*option*ipFile, cursorPositionVisible, Boolean, False);",

"*option*ipTrenn.navigationType: XmSTICKY_TAB_GROUP",
"*option*ipTrenn.pattern: c",
"*option*ipTrenn.focusCallback: XmtSetTypedValue (*option*ipTrenn, cursorPositionVisible, Boolean, True);",
"*option*ipTrenn.loosingfocusCallback: XmtSetTypedValue (*option*ipTrenn, cursorPositionVisible, Boolean, False);",

"*option*ipDatef.navigationType: XmSTICKY_TAB_GROUP",
"*option*ipDatef.pattern: cccccccccc",
"*option*ipDatef.focusCallback: XmtSetTypedValue (*option*ipDatef, cursorPositionVisible, Boolean, True);",
"*option*ipDatef.loosingfocusCallback: XmtSetTypedValue (*option*ipDatef, cursorPositionVisible, Boolean, False);",

"*option*okay.navigationType: XmSTICKY_TAB_GROUP",
"*option*okay.labelString: Ok",
"*option*okay.activateCallback: XmtDialogOkayCallback ();",
"*option*okay.ShowAsDefault: 1",
"*option*okay.DefaultButtonShadowThickness: 1",
"*option*cancel.navigationType: XmSTICKY_TAB_GROUP",
"*option*cancel.labelString: Cancel",
"*option*cancel.activateCallback: XmtDialogCancelCallback ();",
"*option*help.navigationType: XmSTICKY_TAB_GROUP",
"*option*help.labelString: Help",

"*option*layOption.xmtChildrenCreationCallback: \
	XmtSetValue (layOption, defaultButton, layOption.okay); \
	XmtSetInitialFocus (layOption, *layOption.ipPrinter); \
	OptionDialogInit (layOption.chPrinter);",



/* Following resources defines the dialog window for adding a new */
/* record label to the database. */

"*rcl.xmtChildren: unmanaged XmtLayout layRclLp;",
"*rcl*layRclLp.autoUnmanage: False",
"*rcl*layRclLp.dialogStyle: dialog_primary_application_modal",
"*rcl*layRclLp.DialogTitle: Adding record label",

"*rcl*layRclLp.xmtChildren: \
		XmtLayoutString stNum, stTitel, stKenn, stDate; \
		XmtLayoutString stDiscid, stCategory, stPrice, stRight; \
		XmtInputField lpNum = lpNum, lpTitel = lpTitel; \
		XmtInputField lpPrice = lpPrice, lpRight = lpRight; \
		XmtChooser lpKenn = lpKenn, lpCategory = lpCategory; \
		XmtInputField lpDate = lpDate, lpDiscid = lpDiscid; \
	 	XmPushButton adds, new, auto; \
		XmPushButton okay, help;",

"*rcl*layRclLp.layout: \
	Row {\
		Col { \
			stNum \"Number:\"\
			stTitel \"Record title:\"\
			stKenn \"Record type:\"\
			stDate \"Date of press:\"\
			stCategory \"Category:\" \
			stDiscid \"Disc-ID of CD:\" \
			stRight \"Copyright:\" \
			stPrice \"Price of record:\" \
		}\
		LREvenSpaced Col {\
			1 in FlushLeft lpNum \
			5 in FlushLeft lpTitel \
			FlushLeft lpKenn \
			1.8 in FlushLeft lpDate \
			FlushLeft lpCategory \
			1.8 in FlushLeft lpDiscid \
			5 in FlushLeft lpRight \
			2 in FlushLeft lpPrice \
		}\
		Etched Equal Even Col { \
			adds new auto\
		}\
	}\
	<> \
	Fixed Etched Top Equal Even Row { \
		okay help \
	}",

"*rcl*lpNum.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*lpNum.pattern: ddddd",
"*rcl*lpNum.matchAll: False",
"*rcl*lpNum.cursorPositionVisible: False",
"*rcl*lpNum.sensitive: False",

"*rcl*lpTitel.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*lpTitel.pattern: Cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc",
"*rcl*lpTitel.matchAll: False",
"*rcl*lpTitel.cursorPositionVisible: False",
"*rcl*lpTitel.focusCallback: XmtSetTypedValue (*rcl*lpTitel, cursorPositionVisible, Boolean, True);",
"*rcl*lpTitel.losingFocusCallback: XmtSetTypedValue (*rcl*lpTitel, cursorPositionVisible, Boolean, False);",

"*rcl*lpKenn.chooserType: ChooserOption",
"*rcl*lpKenn.strings: \"Record\", \"Compact Disc\", \
		     \"Compact Disc with MPEG3\", \"Cassette\", \
		     \"Mini Disc (Sony)\"",
"*rcl*lpKenn.valueChangedCallback: NewKennChangedCallback ();",

"*rcl*lpDate.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*lpDate.pattern: dd/dd/dddd",
"*rcl*lpDate.matchAll: True",
"*rcl*lpDate.cursorPositionVisible: False",
"*rcl*lpDate.focusCallback: XmtSetTypedValue (*rcl*lpDate, cursorPositionVisible, Boolean, True);",
"*rcl*lpDate.losingFocusCallback: XmtSetTypedValue (*rcl*lpDate, cursorPositionVisible, Boolean, False);",

"*rcl*lpCategory.chooserType: ChooserOption",
"*rcl*lpCategory.strings: \"Rock\", \"Classic\", \"Country\", \"Data\", \"Folk\", \
			 \"Jazz\", \"Misceleaneous\", \"Newage\", \"Reggae\", \"Blues\", \
			 \"Sound track\"",

"*rcl*lpDiscid.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*lpDiscid.pattern: bbbbbbbb",
"*rcl*lpDiscid.matchAll: True",
"*rcl*lpDiscid.cursorPositionVisible: False",
"*rcl*lpDiscid.focusCallback: XmtSetTypedValue (*rcl*lpDiscid, cursorPositionVisible, Boolean, True);",
"*rcl*lpDiscid.losingFocusCallback: XmtSetTypedValue (*rcl*lpDiscid, cursorPositionVisible, Boolean, False);",
"*rcl*lpDiscid.sensitive: False",
"*rcl*lpDiscid.inputCallback: GetCDDBCallback ();",

"*rcl*layRclLp.lpRight.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*layRclLp.lpRight.maxLength: 60",
"*rcl*layRclLp.lpRight.matchAll: False",
"*rcl*layRclLp.lpRight.cursorPositionVisible: False",
"*rcl*layRclLp.lpRight.focusCallback: XmtSetTypedValue (*rcl*lpRight, cursorPositionVisible, Boolean, True);",
"*rcl*layRclLp.lpRight.losingFocusCallback: XmtSetTypedValue (*rcl*lpRight, cursorPositionVisible, Boolean, False);",

"*rcl*layRclLp.lpPrice.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*layRclLp.lpPrice.maxLength: 14",
"*rcl*layRclLp.lpPrice.matchAll: False",
"*rcl*layRclLp.lpPrice.cursorPositionVisible: False",
"*rcl*layRclLp.lpPrice.verifyCallback: CheckNumericCallback();",
"*rcl*layRclLp.lpPrice.focusCallback: XmtSetTypedValue (*rcl*lpPrice, cursorPositionVisible, Boolean, True); \
                StripNumericCallback();",
"*rcl*layRclLp.lpPrice.losingFocusCallback: XmtSetTypedValue (*rcl*lpPrice, cursorPositionVisible, Boolean, False);",

"*rcl*adds.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*adds.labelString: Insert",
"*rcl*adds.activateCallback: AddLpLabelCallback ();",

"*rcl*new.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*new.labelString: New",
"*rcl*new.activateCallback: rclClearValuesCallback ();",

"*rcl*auto.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*auto.labelString: Auto",
"*rcl*auto.activateCallback: rclAutoCallback ();",

"*rcl*okay.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*okay.labelString: Dismiss",
"*rcl*okay.activateCallback: XmtDialogOkayCallback ();",
"*rcl*okay.ShowAsDefault: 1",
"*rcl*okay.DefaultButtonShadowThickness: 1",
"*rcl*help.navigationType: XmSTICKY_TAB_GROUP",
"*rcl*help.labelString: Help",

"*rcl*layRclLp.xmtChildrenCreationCallback: \
	XmtSetValue (layRclLp, defaultButton, layRclLp.okay); \
	XmtSetInitialFocus (layRclLp, *layRclLp.lpTitel); \
	rclInitChooser (*rcl*lpKenn, *rcl*lpCategory);",



/* Following resources defines the dialog window for updating an  */
/* existing record label in the database. */

"*Updrcl.xmtChildren: unmanaged XmtLayout layRclUpdLp;",
"*Updrcl*layRclUpdLp.autoUnmanage: False",
"*Updrcl*layRclUpdLp.dialogStyle: dialog_primary_application_modal",
"*Updrcl*layRclUpdLp.DialogTitle: Changing record label",

"*Updrcl*layRclUpdLp.xmtChildren: \
		XmtLayoutString stNum, stTitel, stKenn, stDate; \
		XmtLayoutString stDiscid, stCategory, stRight, stPrice; \
		XmtInputField lpNum = lpNum, lpTitel = lpTitel; \
		XmtInputField lpRight = lpRight, lpPrice = lpPrice; \
		XmtChooser lpKenn = lpKenn, lpCategory = lpCategory; \
		XmtInputField lpDate = lpDate, lpDiscid = lpDiscid; \
		XmPushButton okay, cancel, help;",

"*Updrcl*layRclUpdLp.layout: \
	Row {\
		Col { \
			stNum \"Number:\"\
			stTitel \"Record title:\"\
			stKenn \"Record type:\"\
			stDate \"Date of press:\"\
			stCategory \"Category:\"\
			stDiscid \"Disc-ID of CD:\" \
			stRight \"Copyright:\" \
			stPrice \"Price of record: \" \
		}\
		LREvenSpaced Col {\
			1 in FlushLeft lpNum \
			5 in FlushLeft lpTitel \
			FlushLeft lpKenn \
			1.8 in FlushLeft lpDate \
			FlushLeft lpCategory \
			1.8 in FlushLeft lpDiscid \
			5 in FlushLeft lpRight  \
			2 in FlushLeft lpPrice \
		}\
	}\
	<> \
	Fixed Etched Top Equal Even Row { \
		okay cancel help \
	}",

"*Updrcl*lpNum.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*lpNum.pattern: ddddd",
"*Updrcl*lpNum.matchAll: False",
"*Updrcl*lpNum.cursorPositionVisible: False",
"*Updrcl*lpNum.sensitive: False",

"*Updrcl*lpTitel.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*lpTitel.pattern: Cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc",
"*Updrcl*lpTitel.matchAll: False",
"*Updrcl*lpTitel.cursorPositionVisible: False",
"*Updrcl*lpTitel.focusCallback: XmtSetTypedValue (*Updrcl*lpTitel, cursorPositionVisible, Boolean, True);",
"*Updrcl*lpTitel.losingFocusCallback: XmtSetTypedValue (*Updrcl*lpTitel, cursorPositionVisible, Boolean, False);",

"*Updrcl*lpKenn.chooserType: ChooserOption",
"*Updrcl*lpKenn.strings: \"Record\", \"Compact Disc\", \
		     \"Compact Disc with MPEG3\", \"Cassette\", \
		     \"Mini Disc (Sony)\"",
"*Updrcl*lpKenn.valueChangedCallback: UpdateKennChangedCallback ();",

"*Updrcl*lpDate.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*lpDate.pattern: dd/dd/dddd",
"*Updrcl*lpDate.matchAll: True",
"*Updrcl*lpDate.cursorPositionVisible: False",
"*Updrcl*lpDate.focusCallback: XmtSetTypedValue (*Updrcl*lpDate, cursorPositionVisible, Boolean, True);",
"*Updrcl*lpDate.losingFocusCallback: XmtSetTypedValue (*Updrcl*lpDate, cursorPositionVisible, Boolean, False);",

"*Updrcl*lpCategory.chooserType: ChooserOption",
"*Updrcl*lpCategory.strings: \"rock\", \"classical\", \"country\", \"data\", \"folk\", \
			 \"jazz\", \"misc\", \"newage\", \"reggae\", \"blues\", \
			 \"soundtrack\"",

"*Updrcl*lpDiscid.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*lpDiscid.pattern: bbbbbbbb",
"*Updrcl*lpDiscid.matchAll: True",
"*Updrcl*lpDiscid.cursorPositionVisible: False",
"*Updrcl*lpDiscid.focusCallback: XmtSetTypedValue (*Updrcl*lpDiscid, cursorPositionVisible, Boolean, True);",
"*Updrcl*lpDiscid.losingFocusCallback: XmtSetTypedValue (*Updrcl*lpDiscid, cursorPositionVisible, Boolean, False);",

"*Updrcl*layRclUpdLp.lpRight.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*layRclUpdLp.lpRight.maxLength: 60",
"*Updrcl*layRclUpdLp.lpRight.matchAll: False",
"*Updrcl*layRclUpdLp.lpRight.cursorPositionVisible: False",
"*Updrcl*layRclUpdLp.lpRight.focusCallback: XmtSetTypedValue (*Updrcl*lpRight, cursorPositionVisible, Boolean, True);",
"*Updrcl*layRclUpdLp.lpRight.losingFocusCallback: XmtSetTypedValue (*Updrcl*lpRight, cursorPositionVisible, Boolean, False);",

"*Updrcl*layRclUpdLp.lpPrice.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*layRclUpdLp.lpPrice.maxLength: 14",
"*Updrcl*layRclUpdLp.lpPrice.matchAll: False",
"*Updrcl*layRclUpdLp.lpPrice.cursorPositionVisible: False",
"*Updrcl*layRclUpdLp.lpPrice.verifyCallback: CheckNumericCallback();",
"*Updrcl*layRclUpdLp.lpPrice.focusCallback: XmtSetTypedValue (*Updrcl*lpPrice, cursorPositionVisible, Boolean, True); \
                StripNumericCallback();",
"*Updrcl*layRclUpdLp.lpPrice.losingFocusCallback: XmtSetTypedValue (*Updrcl*lpPrice, cursorPositionVisible, Boolean, False);",

"*Updrcl*okay.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*okay.labelString: Change",
"*Updrcl*okay.activateCallback: XmtDialogOkayCallback ();",
"*Updrcl*okay.ShowAsDefault: 1",
"*Updrcl*okay.DefaultButtonShadowThickness: 1",
"*Updrcl*cancel.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*cancel.labelString: Cancel",
"*Updrcl*cancel.activateCallback: XmtDialogCancelCallback ();",
"*Updrcl*help.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcl*help.labelString: Help",

"*Updrcl*layRclUpdLp.xmtChildrenCreationCallback: \
	XmtSetValue (layRclUpdLp, defaultButton, layRclUpdLp.okay); \
	XmtSetInitialFocus (layRclUpdLp, *layRclUpdLp.lpTitel); \
	UpdrclInitDiscid (*Updrcl*lpDiscid);",



/* Following resources defines the dialog window for adding a new */
/* cut of a record to the database. */

"*rcc.xmtChildren: unmanaged XmtLayout layRccLp;",
"*rcc*layRccLp.autoUnmanage: False",
"*rcc*layRccLp.dialogStyle: dialog_primary_application_modal",
"*rcc*layRccLp.DialogTitle: Adding record contents",

"*rcc*layRccLp.xmtChildren: \
		XmtChooser chRepeat = chRepeat; \
		XmtLayoutString stNum, stPos, stTitel, stSinger, stZeit; \
		XmtInputField sNum = sNum, sPos = sPos, sTitel = sTitel; \
		XmtInputField sSinger = sSinger, sZeit = sZeit; \
	 	XmPushButton ins, new; \
		XmPushButton okay, help;",

"*rcc*layRccLp.layout: \
	Etched Equal Even Row { \
		chRepeat \
	} \
	Etched Row {\
		Col { \
			stNum \"Record number:\"\
			stPos \"Position on record:\" \
			stTitel \"Song title:\"\
			stSinger \"Singer/Group:\" \
			stZeit \"Duration:\"\
		}\
		LREvenSpaced Col {\
			1 in FlushLeft sNum \
			0.8 in FlushLeft sPos \
			5 in FlushLeft sTitel \
			5 in FlushLeft sSinger \
			1.2 in FlushLeft sZeit \
		}\
		Etched Equal Even Col { \
			ins new \
		}\
	}\
	Fixed Etched Top Equal Even Row { \
		okay help \
	}",

"*rcc*chRepeat.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*chRepeat.chooserType: XmtChooserCheckBox",
"*rcc*chRepeat.strings: \"Repeat Singer/Group\"",

"*rcc*sNum.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*sNum.pattern: ddddd",
"*rcc*sNum.matchAll: False",
"*rcc*sNum.cursorPositionVisible: False",
"*rcc*sNum.sensitive: False",

"*rcc*sPos.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*sPos.pattern: ddd",
"*rcc*sPos.matchAll: False",
"*rcc*sPos.cursorPositionVisible: False",
"*rcc*sPos.sensitive: False",

"*rcc*sTitel.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*sTitel.pattern: Cccccccccccccccccccccccccccccccccccccccc",
"*rcc*sTitel.matchAll: False",
"*rcc*sTitel.cursorPositionVisible: False",
"*rcc*sTitel.focusCallback: XmtSetTypedValue (*rcc*sTitel, cursorPositionVisible, Boolean, True);",
"*rcc*sTitel.losingFocusCallback: XmtSetTypedValue (*rcc*sTitel, cursorPositionVisible, Boolean, False);",

"*rcc*sSinger.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*sSinger.pattern: Cccccccccccccccccccccccccccccccccccccccc",
"*rcc*sSinger.matchAll: False",
"*rcc*sSinger.cursorPositionVisible: False",
"*rcc*sSinger.focusCallback: XmtSetTypedValue (*rcc*sSinger, cursorPositionVisible, Boolean, True);",
"*rcc*sSinger.losingFocusCallback: XmtSetTypedValue (*rcc*sSinger, cursorPositionVisible, Boolean, False);",

"*rcc*sZeit.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*sZeit.pattern: dd:dd",
"*rcc*sZeit.matchAll: True",
"*rcc*sZeit.cursorPositionVisible: False",
"*rcc*sZeit.focusCallback: XmtSetTypedValue (*rcc*sZeit, cursorPositionVisible, Boolean, True);",
"*rcc*sZeit.losingFocusCallback: XmtSetTypedValue (*rcc*sZeit, cursorPositionVisible, Boolean, False);",

"*rcc*ins.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*ins.labelString: Insert",
"*rcc*ins.activateCallback: AddLpCutsCallback ();",

"*rcc*new.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*new.labelString: New",
"*rcc*new.activateCallback: rccClearValuesCallback ();",

"*rcc*okay.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*okay.labelString: Dismiss",
"*rcc*okay.activateCallback: XmtDialogOkayCallback ();",
"*rcc*okay.ShowAsDefault: 1",
"*rcc*okay.DefaultButtonShadowThickness: 1",
"*rcc*help.navigationType: XmSTICKY_TAB_GROUP",
"*rcc*help.labelString: Help",

"*rcc*layRccLp.xmtChildrenCreationCallback: \
	XmtSetValue (layRccLp, defaultButton, layRccLp.okay); \
	XmtSetInitialFocus (layRccLp, *layRccLp.sTitel);",



/* Following resources defines the dialog window for updating an */
/* existing cut of a record in the database. */

"*Updrcc.xmtChildren: unmanaged XmtLayout layRccUpdLp;",
"*Updrcc*layRccUpdLp.autoUnmanage: False",
"*Updrcc*layRccUpdLp.dialogStyle: dialog_primary_application_modal",
"*Updrcc*layRccUpdLp.DialogTitle: Change contents of record",

"*Updrcc*layRccUpdLp.xmtChildren: \
		XmtLayoutString stNum, stPos, stTitel, stSinger, stZeit; \
		XmtInputField sNum = sNum, sPos = sPos, sTitel = sTitel; \
		XmtInputField sSinger = sSinger, sZeit = sZeit; \
		XmPushButton okay, cancel, help;",

"*Updrcc*layRccUpdLp.layout: \
	Row {\
		Col { \
			stNum \"Record number:\"\
			stPos \"Position on record:\" \
			stTitel \"Song title:\"\
			stSinger \"Singer/Group:\" \
			stZeit \"Duration:\"\
		}\
		LREvenSpaced Col {\
			1 in FlushLeft sNum \
			0.8 in FlushLeft sPos \
			5 in FlushLeft sTitel \
			5 in FlushLeft sSinger \
			1.2 in FlushLeft sZeit \
		}\
	}\
	<> \
	Fixed Etched Top Equal Even Row { \
		okay cancel help \
	}",

"*Updrcc*sNum.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*sNum.pattern: ddddd",
"*Updrcc*sNum.matchAll: False",
"*Updrcc*sNum.cursorPositionVisible: False",
"*Updrcc*sNum.sensitive: False",

"*Updrcc*sPos.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*sPos.pattern: ddd",
"*Updrcc*sPos.matchAll: False",
"*Updrcc*sPos.cursorPositionVisible: False",
"*Updrcc*sPos.focusCallback: XmtSetTypedValue (*Updrcc*sPos, cursorPositionVisible, Boolean, True);",
"*Updrcc*sPos.losingFocusCallback: XmtSetTypedValue (*Updrcc*sPos, cursorPositionVisible, Boolean, False);",

"*Updrcc*sTitel.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*sTitel.pattern: Cccccccccccccccccccccccccccccccccccccccc",
"*Updrcc*sTitel.matchAll: False",
"*Updrcc*sTitel.cursorPositionVisible: False",
"*Updrcc*sTitel.focusCallback: XmtSetTypedValue (*Updrcc*sTitel, cursorPositionVisible, Boolean, True);",
"*Updrcc*sTitel.losingFocusCallback: XmtSetTypedValue (*Updrcc*sTitel, cursorPositionVisible, Boolean, False);",

"*Updrcc*sSinger.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*sSinger.pattern: Cccccccccccccccccccccccccccccccccccccccc",
"*Updrcc*sSinger.matchAll: False",
"*Updrcc*sSinger.cursorPositionVisible: False",
"*Updrcc*sSinger.focusCallback: XmtSetTypedValue (*Updrcc*sSinger, cursorPositionVisible, Boolean, True);",
"*Updrcc*sSinger.losingFocusCallback: XmtSetTypedValue (*Updrcc*sSinger, cursorPositionVisible, Boolean, False);",

"*Updrcc*sZeit.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*sZeit.pattern: dd:dd",
"*Updrcc*sZeit.matchAll: True",
"*Updrcc*sZeit.cursorPositionVisible: False",
"*Updrcc*sZeit.focusCallback: XmtSetTypedValue (*Updrcc*sZeit, cursorPositionVisible, Boolean, True);",
"*Updrcc*sZeit.losingFocusCallback: XmtSetTypedValue (*Updrcc*sZeit, cursorPositionVisible, Boolean, False);",

"*Updrcc*okay.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*okay.labelString: Change",
"*Updrcc*okay.activateCallback: XmtDialogOkayCallback ();",
"*Updrcc*okay.ShowAsDefault: 1",
"*Updrcc*okay.DefaultButtonShadowThickness: 1",

"*Updrcc*cancel.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*cancel.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*cancel.labelString: Cancel",
"*Updrcc*cancel.activateCallback: XmtDialogCancelCallback ();",

"*Updrcc*help.navigationType: XmSTICKY_TAB_GROUP",
"*Updrcc*help.labelString: Help",

"*Updrcc*layRccUpdLp.xmtChildrenCreationCallback: \
	XmtSetValue (layRccUpdLp, defaultButton, layRccUpdLp.okay); \
	XmtSetInitialFocus (layRccUpdLp, *layRccUpdLp.sTitel);",


/* Following resources defines the dialog window for entering and */
/* queriing records (CDs, LPs, MCs, ...) in the database. */

"*lps.xmtChildren: unmanaged XmtLayout layLps;",
"*lps*layLps.autoUnmanage: False",
"*lps*layLps.dialogStyle: dialog_primary_application_modal",
"*lps*layLps.DialogTitle: Record management",

"*lps*layLps.xmtChildren: \
		XmtChooser lpPart, lpSearchType; \
		XmtInputField lpSearch = lpSearch; \
		XbaeMatrix lpMaster, lpCuts; \
		XmPushButton adds, new, change, search, cddb; \
		XmPushButton okay, help;",

"*lps*layLps.layout: \
	Row {\
		LREvenSpaced Col {\
			Caption tll \"Record:\" lpMaster \
			Caption tll \"Content of record:\" lpCuts \
		} | \
		FlushTop LREvenSpaced Col { \
			adds new change search \
			Etched Out Top Through 8 4 \"\" \
			cddb \
			Etched Out Top Through 8 4 \"\" \
			lpPart \
			Caption tll \"Search expression: \" lpSearch \
			lpSearchType \
		}\
	} \
	<> \
	Fixed Etched Top Equal Even Row { \
		okay help \
	}",

"*lps*adds.navigationType: XmSTICKY_TAB_GROUP",
"*lps*adds.labelString: Add",
"*lps*adds.activateCallback: NewLPCutDialog ();",

"*lps*new.navigationType: XmSTICKY_TAB_GROUP",
"*lps*new.labelString: New record",
"*lps*new.activateCallback: NewLP ();",

"*lps*change.navigationType: XmSTICKY_TAB_GROUP",
"*lps*change.labelString: Change",
"*lps*change.activateCallback: UpdateLpCallback ();",

"*lps*search.navigationType: XmSTICKY_TAB_GROUP",
"*lps*search.labelString: Search",
"*lps*search.activateCallback: LPSearchValueChangedCallback ();",

"*lps*cddb.navigationType: XmSTICKY_TAB_GROUP",
"*lps*cddb.labelString: CDDB Entry",
"*lps*cddb.activateCallback: PutCDDBCallback ();",

"*lps*lpPart.chooserType: ChooserOption",
"*lps*lpPart.strings: \"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\",\"I\",\"J\",\"K\",\"L\",\"M\",\"N\",\"O\",\"P\",\"Q\",\"R\",\"S\",\"T\",\"U\",\"V\",\"W\",\"X\",\"Y\",\"Z\",\"0-9\"",
"*lps*lpPart.valueStrings: \"A*\",\"B*\",\"C*\",\"D*\",\"E*\",\"F*\",\"G*\",\"H*\",\"I*\",\"J*\",\"K*\",\"L*\",\"M*\",\"N*\",\"O*\",\"P*\",\"Q*\",\"R*\",\"S*\",\"T*\",\"U*\",\"V*\",\"W*\",\"X*\",\"Y*\",\"Z*\",\"[0-9]*\"",
"*lps*lpPart.valueType: String",
/* Following Value is NOT the length of the longest string above! Instead */
/* it's the address size of the value. It's value depends on your machine. */
/* It's 4 on Intel plattforms running Linux! */
"*lps*lpPart.valueSize: 4 ",
"*lps*lpPart.valueChangedCallback: lpsPartChooserCallback ();",

"*lps*lpSearch.navigationType: XmSTICKY_TAB_GROUP",
"*lps*lpSearch.pattern: Cccccccccccccccccccccccccccccccccccccccc",
"*lps*lpSearch.matchAll: False",
"*lps*lpSearch.cursorPositionVisible: False",
"*lps*lpSearch.inputCallback: LPSearchValueChangedCallback ();",
"*lps*lpSearch.focusCallback: XmtSetTypedValue (*lps*lpSearch, cursorPositionVisible, Boolean, True);",
"*lps*lpSearch.losingFocusCallback: XmtSetTypedValue (*lps*lpSearch, cursorPositionVisible, Boolean, False);",

"*lps*lpSearchType.chooserType: ChooserOption",
"*lps*lpSearchType.strings: \"Title\", \"Singer/Group\", \"Record number\", \"Song title\", \"Mark\"",
"*lps*lpSearchType.valueChangedCallback: lpsSearchTypeCallback ();",

"*lps*lpMaster.allowColumnResize: True",
"*lps*lpMaster.boldLabels: True",
"*lps*lpMaster.buttonLabels: True",
"*lps*lpMaster.columnLabels: M,Nr.,Record title,Type,Date",
"*lps*lpMaster.columnMaxLength: 1, 3, 60, 2, 10",
"*lps*lpMaster.columnWidths: 1, 3, 60, 3, 10",
"*lps*lpMaster.columns: 5",
"*lps*lpMaster.horizontalScrollBarDisplayPolicy: XmDISPLAY_AS_NEEDED",
"*lps*lpMaster.verticalScrollBarDisplayPolicy: XmDISPLAY_AS_NEEDED",
"*lps*lpMaster.visibleColums: 5",
"*lps*lpMaster.visibleRows: 8",
"*lps*lpMaster.evenRowBackground: white",
"*lps*lpMaster.oddRowBackground: lightgray",
"*lps*lpMaster.enterCellCallback: MasterListCallback ();",

"*lps*lpCuts.allowColumnResize: True",
"*lps*lpCuts.boldLabels: True",
"*lps*lpCuts.buttonLabels: True",
"*lps*lpCuts.columnLabels: Nr.,Pos,Song title,Singer/Group,Time",
"*lps*lpCuts.columnMaxLength: 3, 3, 40, 40, 5",
"*lps*lpCuts.columnWidths: 3, 3, 35, 29, 5",
"*lps*lpCuts.columns: 5",
"*lps*lpCuts.horizontalScrollBarDisplayPolicy: XmDISPLAY_AS_NEEDED",
"*lps*lpCuts.verticalScrollBarDisplayPolicy: XmDISPLAY_AS_NEEDED",
"*lps*lpCuts.visibleColums: 5",
"*lps*lpCuts.visibleRows: 10 ",
"*lps*lpCuts.evenRowBackground: white",
"*lps*lpCuts.oddRowBackground: lightgray",
"*lps*lpCuts.enterCellCallback: lpsEnterCellCallback (); \
			       lpsCutMasterCallback ();",

"*lps*okay.navigationType: XmSTICKY_TAB_GROUP",
"*lps*okay.labelString: Dismiss",
"*lps*okay.activateCallback: XmtDialogOkayCallback ();",
"*lps*okay.ShowAsDefault: 1",
"*lps*okay.DefaultButtonShadowThickness: 1",
"*lps*help.navigationType: XmSTICKY_TAB_GROUP",
"*lps*help.labelString: Help",

"*lps*layLps.xmtChildrenCreationCallback: \
	XmtSetValue (layLps, defaultButton, layLps.okay); \
	XmtSetInitialFocus (layLps, *layLps.lpSearch); \
	FirstFillCallback (layLps, *lps*lpMaster);",



/* Following resources defines the dialog window for queriing */
/* wishes in the database. */

"*wunsch.xmtChildren: unmanaged XmtLayout layWunsch;",
"*wunsch*layWunsch.autoUnmanage: False",
"*wunsch*layWunsch.dialogStyle: dialog_primary_application_modal",
"*wunsch*layWunsch.DialogTitle: Search wish",

"*wunsch*layWunsch.xmtChildren: \
		XmtChooser wuPart, wuSearchType; \
		XmtInputField wuSearch = wuSearch; \
		XbaeMatrix wuTable; \
		XmPushButton new, suchen, change, delete; \
		XmPushButton okay, help;",

"*wunsch*layWunsch.layout: \
	Row {\
		LREvenSpaced Col {\
			Caption tll \"Wish list:\" wuTable \
		} | \
		FlushTop LREvenSpaced Col {\
			new change delete suchen \
			Etched Out Top Through 8 4 \"\" \
			wuPart \
			Caption tll \"Find that: \" wuSearch \
			wuSearchType \
		}\
	}\
	<> \
	Fixed Etched Top Equal Even Row { \
		okay help \
	}",

"*wunsch*wuTable.allowColumnResize: True",
"*wunsch*wuTable.boldLabels: True",
"*wunsch*wuTable.buttonLabels: True",
"*wunsch*wuTable.columnLabels: Nr.,Singer/Group,Title,Date",
"*wunsch*wuTable.columnMaxLength: 4, 30, 30, 10",
"*wunsch*wuTable.columnWidths: 4, 30, 30, 10",
"*wunsch*wuTable.columns: 4",
"*wunsch*wuTable.horizontalScrollBarDisplayPolicy: XmDISPLAY_AS_NEEDED",
"*wunsch*wuTable.verticalScrollBarDisplayPolicy: XmDISPLAY_AS_NEEDED",
"*wunsch*wuTable.visibleColumns: 4",
"*wunsch*wuTable.visibleRows: 18",
"*wunsch*wuTable.evenRowBackground: white",
"*wunsch*wuTable.oddRowBackground: lightgray",
"*wunsch*wuTable.defaultActionCallback: UpdateWunschCallback ();",
"*wunsch*wuTable.enterCellCallback: wuEnterCellCallback ();",

"*wunsch*wuPart.chooserType: ChooserOption",
"*wunsch*wuPart.strings: \"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\",\"I\",\"J\",\"K\",\"L\",\"M\",\"N\",\"O\",\"P\",\"Q\",\"R\",\"S\",\"T\",\"U\",\"V\",\"W\",\"X\",\"Y\",\"Z\",\"0-9\"",
"*wunsch*wuPart.valueStrings: \"A*\",\"B*\",\"C*\",\"D*\",\"E*\",\"F*\",\"G*\",\"H*\",\"I*\",\"J*\",\"K*\",\"L*\",\"M*\",\"N*\",\"O*\",\"P*\",\"Q*\",\"R*\",\"S*\",\"T*\",\"U*\",\"V*\",\"W*\",\"X*\",\"Y*\",\"Z*\",\"[0-9]*\"",
"*wunsch*wuPart.valueType: String",
"*wunsch*wuPart.valueSize: 4",
"*wunsch*wuPart.valueChangedCallback: wuPartChooserCallback ();",

"*wunsch*wuSearchType.chooserType: ChooserOption",
"*wunsch*wuSearchType.strings: \"Number\",\"Singer/Group\",\"Title\"",
"*wunsch*wuSearchType.valueChangedCallback: WunschSearchTypeCallback();",

"*wunsch*wuSearch.navigationType: XmSTICKY_TAB_GROUP",
"*wunsch*wuSearch.maxLength: 40",
"*wunsch*wuSearch.cursorPositionVisible: False",
"*wunsch*wuSearch.inputCallback: QueryWunschCallback();",
"*wunsch*wuSearch.focusCallback: XmtSetTypedValue (*wunsch*wuSearch, cursorPositionVisible, Boolean, True);",
"*wunsch*wuSearch.losingFocusCallback: XmtSetTypedValue (*wunsch*wuSearch, cursorPositionVisible, Boolean, False);",

"*wunsch*suchen.navigationType: XmSTICKY_TAB_GROUP",
"*wunsch*suchen.labelString: Search",
"*wunsch*suchen.activateCallback: QueryWunschCallback ();",

"*wunsch*new.navigationType: XmSTICKY_TAB_GROUP",
"*wunsch*new.labelString: New",
"*wunsch*new.activateCallback: NewWish ();",

"*wunsch*change.navigationType: XmSTICKY_TAB_GROUP",
"*wunsch*change.labelString: Modify",
"*wunsch*change.activateCallback: UpdateWunschCallback ();",

"*wunsch*delete.navigationType: XmSTICKY_TAB_GROUP",
"*wunsch*delete.labelString: Delete",
"*wunsch*delete.activateCallback: DeleteWunschCallback ();",

"*wunsch*okay.navigationType: XmSTICKY_TAB_GROUP",
"*wunsch*okay.labelString: Dismiss",
"*wunsch*okay.activateCallback: XmtDialogOkayCallback ();",
"*wunsch*okay.ShowAsDefault: 1",
"*wunsch*okay.DefaultButtonShadowThickness: 1",
"*wunsch*help.navigationType: XmSTICKY_TAB_GROUP",
"*wunsch*help.labelString: Help",

"*wunsch*layWunsch.xmtChildrenCreationCallback: \
	XmtSetValue (layWunsch, defaultButton, layWunsch.okay); \
	FirstWunschFillCallback (layWunsch, *wunsch*wuTable);",



/* Following resources defines the dialog window for adding and */
/* updating the wish list. */

"*manwun.xmtChildren: unmanaged XmtLayout layManWun;",
"*manwun*layManWun.autoUnmanage: False",
"*manwun*layManWun.dialogStyle: dialog_primary_application_modal",
"*manwun*layManWun.DialogTitle: Enter/modify wish",

"*manwun*layManWun.xmtChildren: \
		XmtLayoutString stGruppe, stTitel, stErfasst; \
		XmtInputField gruppe = gruppe, titel = titel; \
		XmtInputField erfasst = erfasst; \
	 	XmPushButton adds, new; \
		XmPushButton okay, cancel, help;",

"*manwun*layManWun.layout: \
	Row {\
		Col {\
			stGruppe \"Singer/Group:\"\
			stTitel \"Title:\"\
			stErfasst \"Date entered:\"\
		}\
		Col {\
			4 in FlushLeft gruppe \
			4 in FlushLeft titel \
			1.8 in FlushLeft erfasst \
		}\
		Etched Equal Even Col { \
			adds new \
		}\
	}\
	<> \
	Fixed Etched Top Equal Even Row { \
		okay cancel help \
	}",

"*manwun*gruppe.navigationType: XmSTICKY_TAB_GROUP",
"*manwun*gruppe.pattern: Bccccccccccccccccccccccccccccc",
"*manwun*gruppe.matchAll: False",
"*manwun*gruppe.focusCallback: XmtSetTypedValue (*manwun*gruppe, cursorPositionVisible, Boolean, True);",
"**songA.losingFocusCallback: XmtSetTypedValue (*manwun*gruppe, cursorPositionVisible, Boolean, False);",

"*manwun*titel.navigationType: XmSTICKY_TAB_GROUP",
"*manwun*titel.pattern: Bccccccccccccccccccccccccccccc",
"*manwun*titel.matchAll: False",
"*manwun*titel.cursorPositionVisible: False",
"*manwun*titel.focusCallback: XmtSetTypedValue (*manwun*titel, cursorPositionVisible, Boolean, True);",
"*manwun*titel.losingFocusCallback: XmtSetTypedValue (*manwun*titel, cursorPositionVisible, Boolean, False);",

"*manwun*erfasst.navigationType: XmSTICKY_TAB_GROUP",
"*manwun*erfasst.pattern: dd/dd/dddd",
"*manwun*erfasst.matchAll: True",
"*manwun*erfasst.cursorPositionVisible: False",
"*manwun*erfasst.verifyCallback: CheckDateCallback ();",
"*manwun*erfasst.focusCallback: XmtSetTypedValue (*manwun*erfasst, cursorPositionVisible, Boolean, True);",
"*manwun*erfasst.losingFocusCallback: XmtSetTypedValue (*manwun*erfasst, cursorPositionVisible, Boolean, False);",

"*manwun*adds.navigationType: XmSTICKY_TAB_GROUP",
"*manwun*adds.labelString: Insert",
"*manwun*adds.activateCallback: AddNewWunschCallback ();",

"*manwun*new.navigationType: XmSTICKY_TAB_GROUP",
"*manwun*new.labelString: New",
"*manwun*new.activateCallback: ClearWunschValuesCallback ();",

"*manwun*okay.navigationType: XmSTICKY_TAB_GROUP",
"*manwun*okay.labelString: Ok",
"*manwun*okay.activateCallback: XmtDialogOkayCallback ();",
"*manwun*okay.ShowAsDefault: 1",
"*manwun*okay.DefaultButtonShadowThickness: 1",
"*manwun*cancel.navigationType: XmSTICKY_TAB_GROUP",
"*manwun*cancel.labelString: Cancel",
"*manwun*cancel.activateCallback: XmtDialogCancelCallback ();",
"*manwun*help.navigationType: XmSTICKY_TAB_GROUP",
"*manwun*help.labelString: Help",

"*manwun*layManWun.xmtChildrenCreationCallback: \
	XmtSetValue (layManWun, defaultButton, layManWun.okay); \
	XmtSetInitialFocus (layManWun, *layManWun.gruppe);",


/* Following resources defines a dialog window the lets the user */
/* select what to print. It's only valid for printing singles. */

"*prtsingle.xmtChildren: unmanaged XmtLayout layPrtSingle;",
"*prtsingle*layPrtSingle.autoUnmanage: False",
"*prtsingle*layPrtSingle.dialogStyle: dialog_primary_application_modal",
"*prtsingle*layPrtSingle.DialogTitle: Print singles",

"*prtsingle*layPrtSingle.xmtChildren: \
                XmtChooser prAll, prSort = prSort; \
                XmtInputField prSearch = prSearch; \
                XmPushButton okay, cancel, help;",

"*prtsingle*layPrtSingle.layout: \
        Etched Col { \
                prAll \
                5 in Caption tll \"Find this:\" prSearch \
        } \
        Etched Caption tll \"Sort\" Col { \
                prSort \
        } \
        <> \
        Fixed Etched Top Equal Even Row { \
                okay cancel help \
        }",

"*prtsingle*layPrtSingle.prAll.navigationType: XmSTICKY_TAB_GROUP",
"*prtsingle*layPrtSingle.prAll.chooserType: CheckBox",
"*prtsingle*layPrtSingle.prAll.strings: \"Print all singles\"",
"*prtsingle*layPrtSingle.prAll.valueChangedCallback: prAllValueChangedCallback();",

"*prtsingle*layPrtSingle.prSort.navigationType: XmSTICKY_TAB_GROUP",
"*prtsingle*layPrtSingle.prSort.chooserType: ChooserRadioBox",
"*prtsingle*layPrtSingle.prSort.strings: \"Number\",\"Title sides A/B\",\
\"Title side A\",\"Title side B\",\"Singer/Group\",\"Date\"",

"*prtsingle*layPrtSingle.prSearch.navigationType: XmSTICKY_TAB_GROUP",
"*prtsingle*layPrtSingle.prSearch.maxLength: 80",
"*prtsingle*layPrtSingle.prSearch.cursorPositionVisible: False",
"*prtsingle*layPrtSingle.prSearch.verifyCallback: prtSearchVerifyCallback ();",
"*prtsingle*layPrtSingle.prSearch.focusCallback: XmtSetTypedValue (*prtsingle*prSearch, cursorPositionVisible, Boolean, True);",
"*prtsingle*layPrtSingle.prSearch.losingFocusCallback: XmtSetTypedValue (*prtsingle*prSearch, cursorPositionVisible, Boolean, False);",

"*prtsingle*layPrtSingle.okay.navigationType: XmSTICKY_TAB_GROUP",
"*prtsingle*layPrtSingle.okay.labelString: Ok",
"*prtsingle*layPrtSingle.okay.activateCallback: XmtDialogOkayCallback ();",
"*prtsingle*layPrtSingle.okay.ShowAsDefault: 1",
"*prtsingle*layPrtSingle.okay.DefaultButtonShadowThickness: 1",

"*prtsingle*layPrtSingle.cancel.navigationType: XmSTICKY_TAB_GROUP",
"*prtsingle*layPrtSingle.cancel.labelString: Cancel",
"*prtsingle*layPrtSingle.cancel.activateCallback: XmtDialogCancelCallback ();",

"*prtsingle*layPrtSingle.help.navigationType: XmSTICKY_TAB_GROUP",
"*prtsingle*layPrtSingle.help.labelString: Help",

"*prtsingle*layPrtSingle.xmtChildrenCreationCallback: \
        XmtSetValue (layPrtSingle, defaultButton, layPrtSingle.cancel); \
        XmtSetInitialFocus (layPrtSingle, *layPrtSingle.prAll);",



/* Following resources defines a dialog window the lets the user */
/* select what to print. It's only valid for printing wishes. */

"*prtwunsch.xmtChildren: unmanaged XmtLayout layPrtWunsch;",
"*prtwunsch*layPrtWunsch.autoUnmanage: False",
"*prtwunsch*layPrtWunsch.dialogStyle: dialog_primary_application_modal",
"*prtwunsch*layPrtWunsch.DialogTitle: Print wish list",

"*prtwunsch*layPrtWunsch.xmtChildren: \
                XmtChooser prAll, prSort = prSort; \
                XmtInputField prSearch = prSearch; \
                XmPushButton okay, cancel, help;",

"*prtwunsch*layPrtWunsch.layout: \
        Etched Col { \
                prAll \
                5 in Caption tll \"Find this:\" prSearch \
        } \
        Etched Caption tll \"Sort\" Col { \
                prSort \
        } \
        <> \
        Fixed Etched Top Equal Even Row { \
                okay cancel help \
        }",

"*prtwunsch*layPrtWunsch.prAll.navigationType: XmSTICKY_TAB_GROUP",
"*prtwunsch*layPrtWunsch.prAll.chooserType: CheckBox",
"*prtwunsch*layPrtWunsch.prAll.strings: \"Print all wishes\"",
"*prtwunsch*layPrtWunsch.prAll.valueChangedCallback: prAllWishValueChangedCallback();",

"*prtwunsch*layPrtWunsch.prSort.navigationType: XmSTICKY_TAB_GROUP",
"*prtwunsch*layPrtWunsch.prSort.chooserType: ChooserRadioBox",
"*prtwunsch*layPrtWunsch.prSort.strings: \"By Number\",\"By Group\",\"By Title\"",

"*prtwunsch*layPrtWunsch.prSearch.navigationType: XmSTICKY_TAB_GROUP",
"*prtwunsch*layPrtWunsch.prSearch.maxLength: 80",
"*prtwunsch*layPrtWunsch.prSearch.cursorPositionVisible: False",
"*prtwunsch*layPrtWunsch.prSearch.verifyCallback: prtSearchWishVerifyCallback ();",
"*prtwunsch*layPrtWunsch.prSearch.focusCallback: XmtSetTypedValue (*prtwunsch*prSearch, cursorPositionVisible, Boolean, True);",
"*prtwunsch*layPrtWunsch.prSearch.losingFocusCallback: XmtSetTypedValue (*prtwunsch*prSearch, cursorPositionVisible, Boolean, False);",

"*prtwunsch*layPrtWunsch.okay.navigationType: XmSTICKY_TAB_GROUP",
"*prtwunsch*layPrtWunsch.okay.labelString: Ok",
"*prtwunsch*layPrtWunsch.okay.activateCallback: XmtDialogOkayCallback ();",
"*prtwunsch*layPrtWunsch.okay.ShowAsDefault: 1",
"*prtwunsch*layPrtWunsch.okay.DefaultButtonShadowThickness: 1",

"*prtwunsch*layPrtWunsch.cancel.navigationType: XmSTICKY_TAB_GROUP",
"*prtwunsch*layPrtWunsch.cancel.labelString: Cancel",
"*prtwunsch*layPrtWunsch.cancel.activateCallback: XmtDialogCancelCallback ();",

"*prtwunsch*layPrtWunsch.help.navigationType: XmSTICKY_TAB_GROUP",
"*prtwunsch*layPrtWunsch.help.labelString: Help",

"*prtwunsch*layPrtWunsch.xmtChildrenCreationCallback: \
        XmtSetValue (layPrtWunsch, defaultButton, layPrtWunsch.cancel); \
        XmtSetInitialFocus (layPrtWunsch, *layPrtWunsch.prAll);",



/* Following resources defines a dialog window the lets the user */
/* select what to print. It's only valid for printing records. */

"*prtlps.xmtChildren: unmanaged XmtLayout layPrtLps;",
"*prtlps*layPrtLps.autoUnmanage: False",
"*prtlps*layPrtLps.dialogStyle: dialog_primary_application_modal",
"*prtlps*layPrtLps.DialogTitle: Print records",

"*prtlps*layPrtLps.xmtChildren: \
                XmtChooser prAll, prSort = prSort; \
                XmtInputField prSearch = prSearch; \
                XmPushButton okay, cancel, help;",

"*prtlps*layPrtLps.layout: \
        Etched Col { \
                prAll \
                5 in Caption tll \"Find this:\" prSearch \
        } \
        Etched Caption tll \"Sort\" Col { \
                prSort \
        } \
        <> \
        Fixed Etched Top Equal Even Row { \
                okay cancel help \
        }",

"*prtlps*layPrtLps.prAll.navigationType: XmSTICKY_TAB_GROUP",
"*prtlps*layPrtLps.prAll.chooserType: CheckBox",
"*prtlps*layPrtLps.prAll.strings: \"Print all records\"",
"*prtlps*layPrtLps.prAll.valueChangedCallback: prAllLpsValueChangedCallback();",

"*prtlps*layPrtLps.prSort.navigationType: XmSTICKY_TAB_GROUP",
"*prtlps*layPrtLps.prSort.chooserType: ChooserRadioBox",
"*prtlps*layPrtLps.prSort.strings: \"By Number\",\"By Title\"",

"*prtlps*layPrtLps.prSearch.navigationType: XmSTICKY_TAB_GROUP",
"*prtlps*layPrtLps.prSearch.maxLength: 80",
"*prtlps*layPrtLps.prSearch.cursorPositionVisible: False",
"*prtlps*layPrtLps.prSearch.verifyCallback: prtSearchLpsVerifyCallback ();",
"*prtlps*layPrtLps.prSearch.focusCallback: XmtSetTypedValue (*prtlps*prSearch, cursorPositionVisible, Boolean, True);",
"*prtlps*layPrt.LpsprSearch.losingFocusCallback: XmtSetTypedValue (*prtlps*prSearch, cursorPositionVisible, Boolean, False);",

"*prtlps*layPrtLps.okay.navigationType: XmSTICKY_TAB_GROUP",
"*prtlps*layPrtLps.okay.labelString: Ok",
"*prtlps*layPrtLps.okay.activateCallback: XmtDialogOkayCallback ();",
"*prtlps*layPrtLps.okay.ShowAsDefault: 1",
"*prtlps*layPrtLps.okay.DefaultButtonShadowThickness: 1",

"*prtlps*layPrtLps.cancel.navigationType: XmSTICKY_TAB_GROUP",
"*prtlps*layPrtLps.cancel.labelString: Cancel",
"*prtlps*layPrtLps.cancel.activateCallback: XmtDialogCancelCallback ();",

"*prtlps*layPrtLps.help.navigationType: XmSTICKY_TAB_GROUP",
"*prtlps*layPrtLps.help.labelString: Help",

"*prtlps*layPrtLps.xmtChildrenCreationCallback: \
        XmtSetValue (layPrtLps, defaultButton, layPrtLps.cancel); \
        XmtSetInitialFocus (layPrtLps, *layPrtLps.prAll);",


/* Following Resources defines a window that is visible when ever the */
/* user prints someting (to printer, or file). */
/* It shows the print status and offers a cancel button. */

"*prints.xmtChildren: unmanaged XmtLayout layPrint;",
"*prints*layPrint.autoUnmanage: False",
"*prints*layPrint.dialogStyle: dialog_primary_application_modal",
"*prints*layPrint.DialogTitle: Printing",

"*prints*layPrint.xmtChildren: \
	XmText info=info; \
	XmPushButton stop;",

"*prints*layPrint.layout: \
	Etched Through 6 4 Caption tll \"@fBPrinting\" Col { \
		info \
	} \
	<> \
	Fixed Etched Top Equal Even Row { \
		stop \
	}",

"*prints*info.editable: False",
"*prints*info.editMode: XmMULTI_LINE_EDIT",
"*prints*info.columns: 30",
"*prints*info.maxLength: 128",
"*prints*info.rows: 2",
"*prints*info.cursorPositionVisible: False",

"*prints*stop.labelString: Cancel",
"*prints*stop.activationCallback: StopPrintCallback ();",

"*prints*layPrint.xmtChildrenCreationCallback: \
	XmtSetValue (layPrint, defaultButton, layPrint.stop); \
	XmtSetInitialFocus (layPrint, *layPrint.stop);",


/* Following resources defines the About window. The window appears */
/* if one hits the menu point About. */

"*about.xmtChildren: XmtLayout layAbout;",

"*about*layAbout.xmtChildren: XmtLayoutBox row, buttonbox; \
	XmtLayoutPixmap platten_icon; \
	XmtLayoutString Mess; \
	XmPushButton okay;",

"*about*buttonbox.spaceType: XmtLayoutSpaceEven",
"*about*buttonbox.space: 10",

"*about*platten_icon.layoutIn: row",
"*about*platten_icon.labelPixmap: platten",

"*about*Mess.layoutIn: row",
"*about*okay.layoutIn: buttonbox",

"*about*FontList: *-new century schoolbook-bold-r-*-*-*-140-*, \
                 *-new century schoolbook-medium-r-*-*-*-120-*=R, \
                 *-new century schoolbook-medium-i-*-*-*-120-*=I, \
                 *-new century schoolbook-bold-r-*-*-*-180-*=TITLE",

"*about*platten_icon.pixmap: platten",
"*about*platten_icon.foreground: forestgreen",
"*about*platten_icon.background: cornflowerblue",

"*about*Mess.layoutJustification: Centered",
"*about*Mess.labelString: \
\\n@f[TITLE]Record Management@fR\\n\
\\n\
Version 0.8\\n\
(C) Copyright 1998, 1999, 2000 by Theos Soft.\\n\
Author: Andreas Theofilu\\n\
\\n\
Suggestions, wishes or critics mail please\\n\
to theofilu@@aon.at.\\n\
\\n\
                @fI-- Andreas Theofilu\\n",

"*about*okay.labelString: Ok",
"*about*okay.activateCallback: XmtDialogOkayCallback ();",

"_Pixmaps_*platten_icon: platten",


/* Following are all messages used somewhere in the program */

"*iError1204.message: You've entered an invalid year.",
"*iError1205.message: You've entered an invalid month.",
"*iError1206.message: You've entered an invalid day.",
"*iError1209.message: \
Because you've not entered any separators between year, month and day,\\n\
the length of input must be exactly 6 or 8 characters.",
"*iError1212.message: You've not entered a valid date.",

"*iNotFound.message: Found nothing appropriate.",
"*iNotDirection.message: No more records in this direction.",

"*MissingValue.message: One or more empty input fields!",

"*mErrorInitContext.message: Error in XmStringInitContext()!",
"*mErrorWchar.message: Error in converting from LOCALE to 8 bit text!",
"*mErrorXmString.message: The text from a XmString could not be extracted!",

"*ErrorNoSelection.message: You've not selected a record!",
"*ErrorNoSelection.title: Warning",

"*ErrorSelection.message: \
To change the contents of a label or a cut, you must first click\\n\
into one of the two tables to select a line. Then you can alter\\n\
the choosen sentence.",
"*ErrorSelection.title: Warning",

"*DialogAskLPNum.message: Record number:",
"*DialogAskLPNum.title: Add a sound carrier",
"*DialogAskLPNum.helpText: Geben Sie die Nummer eines bereits in der \\n\
Datenbank befindlichen Tontrgers an,\\nfr den Sie weitere Cuts \
erfassen wollen.",

"*LpsUpdateWhat.message: Do you want to edit a record label or a cut of\\n\
a record?",
"*LpsUpdateWhat.title: Change",
"*LpsUpdateWhat.yesLabel: Label",
"*LpsUpdateWhat.noLabel: Cut",
"*LpsUpdateWhat.cancelLabel: Cancel",
"*LpsUpdateWhat.helpLabel: Help",
"*LpsUpdateWhat.helpText: @fBHelp: Changing a record@fR\\n\\n\
Die einzelnen Knpfe haben folgende Bedeutung:\\n\\n\
@fBLabel@fR\\n\
\\tndern eines Tontrgerlabels.\\n",
"@fBCut@fR\\n\
\\tndern eines einzelnen @fICuts@fR eines Tontrgers.\\n\
@fBAbbrechen@fR\\n\
\\tNichts ndern und zum vorigen Dialog zurck.",

"*AskPrintSingle.message: Do you really want to print a list of singles?",
"*AskPrintSingle.title: Print singles",
"*AskPrintSingle.yesLabel: Yes",
"*AskPrintSingle.noLabel: No",
"*AskPrintSingle.cancelLabel: Cancel",
"*AskPrintSingle.helpLabel: Help",
"*AskPrintSingle.helpText: @fBHilfe: Drucken aller Singles@fR\\n\\n\
Wenn Sie auf @fBJa@fR clicken, werden alle Singles entsprechend\\n\
den von ihnen getroffenen Optionen ausgedruckt oder eine\\n\
@fIPostscriptdatei@fR erzeugt.",

"*AskPrintLps.message: Do you really want to print a list of all records?",
"*AskPrintLps.title: Printing records",
"*AskPrintLps.yesLabel: Yes",
"*AskPrintLps.noLabel: No",
"*AskPrintLps.cancelLabel: Cancel",
"*AskPrintLps.helpLabel: Help",
"*AskPrintLps.helpText: @fBHelp: Printing all records@fR\\n\\n\
If you hit on @fBYes@fR, all records according to your choosen\\n\
options will be printed, or a @fIpostscript file@fR will be created.",

"*askDelete.message: @fBWarning!@fR\\nIt's not possible to undo a deletion.\\n\\n\
Do you realy want to delete this entry?",
"*askDelete.title: Delete entry",
"*askDelete.yesLabel: Yes",
"*askDelete.noLabel: No",

"*ErrorOptionEnv.message: Environment variable @fHOME@fR was not found.",
"*ErrorOptionFile.message: The configuration file could not be opened\\n\
or created.",
"*ErrorOptionStat.message: Error to get file size!",
"*ErrorOptionField.message: The field @fBFile name@fR is empty!\\n\
Switched back to print.",
"*InfoOptionFile.message: New configuration file created.",
"*InfoOptionFile.title: Information",

"*ErrorOpenFile.message: Error opening or creating a file!",
"*ErrorNoCDDB.message: There's no CDDB entry with the discID you typed in!",
"*ErrorWrongCDDB.message: The found CDDB entry is invalid!\\n\\n\
Please check it an correct it. Then try again.",
"*ErrorIDExist.message: The inserted CD is already in the database.",
"*ErrorNoCDROM.message: The marked line is not a CD-ROM!",
"*ErrorNoDiscID.message: The marked entry has no DiscID!",
"*ErrorWriteCDDB.message: Error writing or creating CDDB entry.\\n\
Please check the rights.",
"*ErrorNoSel.message: Please choose either CD or MP3 as CDROM type!",
"*ErrorDirectory.message: Error reading the contents of a directory on your\\n\
disc. Please check the rights!",
"*ErrorNumeric.message: The search expression must be a number grater 1!",

"*LpsInsertCD.message: Please insert an audio CD into your CD-ROM drive.",
"*LpsInsertCD.yesLabel: Ok",
"*LpsInsertCD.noLabel: Cancel",
"*LpsInsertCD.title: Question",
"*InfoCDDBwritten.message: The CDDB entry was written successfuly.",
"*LpsInsertMP3.message: Please insert a MP3-CD-ROM into your drive an mount\\n\
the CD.",
"*LpsInsertMP3.yesLabel: Ok",
"*LpsInsertMP3.noLabel: Cancel",
"*LpsInsertMP3.title: Question",
"*GetCDTitle.message: Please enter a name for your new MP3-CD:",
"*GetCDTitle.title: MP3-CD Name",
"*GetCDTitle.helpText: A CD must have a name. Enter what ever you want up\\n\
to 60 characters.",
